package relaxng;

import com.japisoft.xmlpad.XMLContainer;
import com.japisoft.xmlpad.editor.XMLTemplate;

import java.awt.*;
import java.net.URL;

import javax.swing.*;

/** Simple component usage */
public class Demo extends JFrame {
	public Demo() {
		XMLContainer container = new XMLContainer();

		URL u = getClass().getResource("personal.rng");

		// Use relaxNG for validing and completing
		container.getSchemaAccessibility().setRelaxNGValidationLocation(
				u.toString());

		// Update the default document
		XMLTemplate template = new XMLTemplate();
		template.setContent("<personnel></personnel>");
		template.setComment("Relax NG sample");
		container.setTemplate(template);

		getContentPane().add(container.getView());

		setSize(new Dimension(550, 400));
		setTitle("XMLPad simple demo");
		setVisible(true);
	}

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		} catch (Exception exc) {
		}

		new Demo();
	}
}
